Katello - Bug #5980

katello install not allowing admin/changeme login in foreman
05/29/2014 05:12 AM - Ignacio Bravo

Status: Closed

Priority: Normal

Assignee:

Category: Installer

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

From a fresh CentOS installation:

1. yum install -y git ruby rubygems
2. git clone https://github.com/Katello/katello-deploy.qgit
3. cd katello-deploy

[workaround Bug #5961]

4. cp scl.repo /etc/yum.repos.d/scl.repo

5. yum -y localinstall http://yum.theforeman.org/nightly/el6/x86_64/foreman-release.rpom
6. yum -y install foreman-selinux

7. vim /etc/hosts and add FQDN to list
8. ./setup.rb centos6 --skip-installer
9. katello-installer --foreman-authentication=true --capsule-tftp=true -v

Results:
some errors are noted during installation time.
when login into foreman through http:/localhost/katello user admin/changeme errors with incorrect username or password.

Errors:

[ INFO 2014-05-29 00:52:37 verbose] All hooks in group post finished

[ERROR 2014-05-29 00:52:37 verbose] Repeating errors encountered during run:

[ERROR 2014-05-29 00:52:37 verbose]
/Stage[main])/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[ CREATE
ROLE "candlepin" ENCRYPTED PASSWORD 'md5b5735f4436fc0af17cad34521d2676bf' LOGIN NOCREATEROLE NOCREATEDB
NOSUPERUSER CONNECTION LIMIT -1]: Failed to call refresh: Error executing SQL; psql returned 256: 'ERROR: role
"candlepin” already exists

[ERROR 2014-05-29 00:52:37 verbose]
/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[ CREATE
ROLE "candlepin" ENCRYPTED PASSWORD 'md5b5735f4436fc0af17cad34521d2676bf' LOGIN NOCREATEROLE NOCREATEDB
NOSUPERUSER CONNECTION LIMIT -1]: Error executing SQL; psql returned 256: 'ERROR: role "candlepin” already exists
[ERROR 2014-05-29 00:52:37 verbose]
/Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-db:migrate]: Failed to call refresh:
/usr/sbin/foreman-rake db:migrate returned 1 instead of one of [0]

[ERROR 2014-05-29 00:52:37 verbose]
/Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-db:migrate]: /usr/sbin/foreman-rake db:migrate
returned 1 instead of one of [0]

[ERROR 2014-05-29 00:52:37 verbose] /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]:
Failed to call refresh: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]

[ERROR 2014-05-29 00:52:37 verbose] /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]:
/usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]

[ERROR 2014-05-29 00:52:37 verbose] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[satellite.hq.ltg]: Could not
evaluate: 500 Internal Server Error
https://github.com/Katello/katello-deploy.git
https://projects.theforeman.org/issues/5961
http://yum.theforeman.org/nightly/el6/x86_64/foreman-release.rpm
http://localhost/katello

History

#1 - 05/29/2014 06:59 PM - Ignacio Bravo

Did a new install a couple of hours ago and the problem dissapeared.

Please close the case.
1B

#2 - 06/05/2014 02:58 AM - Eric Helms
- Status changed from New to Closed

- Triaged changed from No to Yes

#3 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
